Bug 189928 - rpmbuild debuginfo generation bug when packaging symlinked sourcefiles
rpmbuild debuginfo generation bug when packaging symlinked sourcefiles
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 16:34 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 09:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-04-25 16:34:09 EDT
The automatic debuginfo generation done by rpmbuild fails hwhen some of the
sourcefiles which it tries to package actually are symlinks, in this case it
only packages the symlinks and not the files pointed too.

For example donwload:
http://home.zonnet.nl/jwrdegoede/gnucap-0.34-1.src.rpm (Fe package under review)

And build it, then run rpmlint on the -debuginfo rpm and enjoy all the dangling
symlinks errors.
Comment 1 Nils Philippsen 2006-05-29 11:14:08 EDT
Same here with rss-glx, see bug #188574.
Comment 2 Mamoru TASAKA 2006-05-29 12:02:52 EDT
For dealing with this problem, I always have to copy the real file of 
a symlink file and then remove all symlink file.
Comment 3 Panu Matilainen 2007-08-08 09:09:57 EDT
Should be fixed by Roland McGrath's new fancy find-debuginfo.sh in next rawhide
push, feel free to reopen if not...

Note You need to log in before you can comment on or make changes to this bug.